Package net.shibboleth.spring.metadata.filter

# Class AbstractMetadataFilterParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.spring.metadata.filter.AbstractMetadataFilterParser

All Implemented Interfaces:
  `BeanDefinitionParser`

Direct Known Subclasses:
  `AlgorithmFilterParser`, `ByReferenceParser`, `EntityAttributesFilterParser`, `EntityRoleFilterParser`, `NameIDFormatFilterParser`, `NodeProcessingParser`, `PredicateFilterParser`, `RequiredValidUntilParser`, `SchemaValidationParser`, `ScopeFilterParser`, `SignatureValidationParser`

public abstract class AbstractMetadataFilterParser extends AbstractCustomBeanDefinitionParser
Abstract base class for filter parsers.

Since:
  5.0.0

## Field Summary

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractMetadataFilterParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element element, ParserContext parserContext, BeanDefinitionBuilder builder)`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClass, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractMetadataFilterParser

public AbstractMetadataFilterParser()

## Method Details

### doParse

protected void doParse(@Nonnull Element element, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `AbstractSingleBeanDefinitionParser`